# based on official Cytoscape image: https://github.com/cytoscape/docker-cytoscape-desktop
[supervisord]
nodaemon=true

[program:xvfb]
priority=1
directory=/
command=/usr/bin/Xvfb :1 -screen 0 "%(ENV_VIRTUAL_SCREEN_WIDTH)s"x"%(ENV_VIRTUAL_SCREEN_HEIGHT)s"x24 +extension RANDR
user=root
autostart=true
autorestart=true
stopsignal=QUIT
stdout_logfile=/var/log/xvfb.log
stderr_logfile=/var/log/xvfb.err

[program:cytoscape]
priority=30
command=/bin/bash -c 'rm -rf /root/CytoscapeConfiguration && /cytoscape-unix-%(ENV_CYTOSCAPE_VERSION)s/cytoscape.sh --rest %(ENV_CYREST_PORT)s'
user=root
autostart=true
stopsignal=QUIT
environment=DISPLAY=":1",HOME="/root"
